# ==================================================================
# Plugins::Dbsql::DateSearch - Auto Generated Install Module
#
#   Plugins::Dbsql::DateSearch
#   Author  : Jasper Cramwinckel
#   Version : 0.2
#   Updated : Tue Nov  5 13:45:46 2002
#
# ==================================================================
#

package Plugins::Dbsql::DateSearch;
# ==================================================================
use strict;
use vars  qw/$VERSION $DEBUG $NAME $META/;
use GT::Base;
use GT::Plugins qw/STOP CONTINUE/;
use Dbsql qw/$IN $DB $CFG/;

$VERSION = '0.2';
$DEBUG   = 0;
$NAME    = 'DateSearch';
# Inhert from base class for debug and error methods
@Plugins::Dbsql::DateSearch::ISA = qw(GT::Base);

$META = {
    'prog_ver' => '2.1.0',
    'description' => 'Allows different ways to search for date fields.',
    'license' => 'Freeware',
    'url' => 'http://www.bookings.nl',
    'author' => 'Jasper Cramwinckel',
    'version' => '0.2'
};


sub pre_install {
# -------------------------------------------------------------------
# This function displays an HTML formatted message that will display
# to the user any instructions/information before they install
# the plugin.
#
    my $inst_msg = '';

    return $inst_msg;
}

sub pre_uninstall {
# -------------------------------------------------------------------
# This function displays an HTML formatted message that will display
# to the user any instructions/information before they remove the
# plugin.
#
    my $uninst_msg = '';

    return $uninst_msg;
}

sub install {
# -------------------------------------------------------------------
# This function does the actual installation. It's first argument is
# a plugin manager which you can use to register hooks, install files,
# add menu options, etc. The second argument is a GT::Tar object which
# you can use to access any files in your plugin module.
#
# You should return an HTML formatted string that will be displayed 
# to the user.
#
# If there is an error, return undef, and set the error message in
# $Plugins::Dbsql::DateSearch::error
#
    my ($mgr, $tar) = @_;
    
    $mgr->install_hooks ( 'DateSearch', [ ['search_results', 'PRE', 'Plugins::Dbsql::DateSearch::ProcessVariables', 'FIRST'] ]);
    $mgr->install_hooks ( 'DateSearch', [ ['qsearch_results', 'PRE', 'Plugins::Dbsql::DateSearch::ProcessVariables', 'FIRST'] ]);
    $mgr->install_menu ( 'DateSearch', [ ['Help', 'admin.cgi?do=plugin&plugin=DateSearch&func=help'] ] );
    ;
    return "The plugin has been successfully installed!";
}

sub uninstall {
# -------------------------------------------------------------------
# This function removes the plugin. It's first argument is
# also a plugin manager which you can use to register hooks, install files,
# add menu options, etc. You should return an HTML formatted string
# that will be displayed to the user.
#
# If there is an error, return undef, and set the error message in
# $Plugins::Dbsql::DateSearch::error
#
    my $mgr = shift;
    
    $mgr->uninstall_hooks ( 'DateSearch', [ ['search_results', 'PRE', 'Plugins::Dbsql::DateSearch::ProcessVariables', 'FIRST'] ]);
    $mgr->uninstall_hooks ( 'DateSearch', [ ['qsearch_results', 'PRE', 'Plugins::Dbsql::DateSearch::ProcessVariables', 'FIRST'] ]);
    $mgr->uninstall_menu ( 'DateSearch', [ ['Help', 'admin.cgi?do=plugin&plugin=DateSearch&func=help'] ] );
    ;
    return "The plugin has been successfully removed!";
}

1;
